Subject: "Frustrated after buying what I thought was a healthy kitten"
From: Reddit <[email-masked]>
To: [email-masked]
Date: Thu, 14 May 2026 00:09:25 +0000

r/mainecoons: Frustrated after buying what I thought was a healthy kitten Recently bought a kitten from a small cattery, he seemed healthy and whatnot when I saw him and the breeders seemed knowledgeable and invested in their cats.

We took him home and since the drive his ...

FunDirection5847

r/mainecoons

u/ElxdieCH
•
1d ago

Frustrated after buying what I thought was a healthy kitten

Recently bought a kitten from a small cattery, he seemed healthy and whatnot when I saw him and the breeders seemed knowledgeable and invested in their cats.

We took him home and since the drive his ...
Read More

41 upvotes

•

55 comments

Hide r/mainecoons

r/MaineCoon

u/DaveL16
•
2d ago

Someone have a word with him….

There’s a fruit bowl under there somewhere 🙄
Read More

161 upvotes

•

2 comments

Hide r/MaineCoon

Hide r/MaineCoon

r/whoop

u/asyncninja
•
2d ago

I got tired of the WHOOP app's limited features , so I built my own Health Dashboard

I’ve been a WHOOP member since Dec 2025, and while I love the data, the app’s 6-month window and limited chart views always frustrated me. I wanted to see my recovery trends over the long term and com...
Read More

166 upvotes

•

68 comments

Hide r/whoop

Hide r/whoop

r/Rebounding

u/DLikesSewing
•
9h ago

Rebounding as a complement to strength training

I'm considering purchasing a rebounder in hopes that it will help with lymph flow and loosen up my stiff knees. I've been strength training consistently for the last 9 years and have strong legs, ches...
Read More

3 upvotes

•

6 comments

Hide r/Rebounding

r/IKEA

u/greencomet83
•
3d ago

New SALTSJÖBADEN 2-Seat Sofa-Bed Info?

Hey all, was wondering through IKEA here in Melbourne, Australia and came across this bad boy, the [new 2 seat Saltsjöbaden sofa bed](https://www.ikea.com/au/en/p/saltsjoebaden-2-seat-sofa-bed-fridtun...
Read More

21 upvotes

•

5 comments

Hide r/IKEA

Hide r/IKEA

View More Posts

This email was intended for u/FunDirection5847.

Unsubscribe from daily digest messages, or visit your settings to manage
what emails Reddit sends you.

5‌4‌8 M‌a‌rket S‌t., #16093,

San Francisco, CA 9‌4‌1‌0‌4-5‌4‌0‌1